Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.ui.code
Class SWRLResourceNameMatcher

    java.lang.Object
      edu.stanford.smi.protegex.owl.ui.code.OWLResourceNameMatcher
          edu.stanford.smi.protegex.owl.swrl.ui.code.SWRLResourceNameMatcher

All Implemented Interfaces:
  ResourceNameMatcher

    public class SWRLResourceNameMatcher

extends OWLResourceNameMatcher

Field Summary

Fields inherited from class edu.stanford.smi.protegex.owl.ui.code.OWLResourceNameMatcher
`SCALABLE_FRAME_COUNT`

Constructor Summary
`SWRLResourceNameMatcher()`

Method Summary
`protected boolean` | `couldBeClass(OWLModel owlModel, String prefix)`
`protected boolean` | `couldBeDatatype(OWLModel owlModel, String prefix)`
`protected boolean` | `couldBeIndividual(OWLModel owlModel, String prefix)`
`protected boolean` | `couldBeProperty(OWLModel owlModel, String prefix)`
`String` | `getInsertString(RDFResource resource)`
`Set<RDFResource>` | `getMatchingResources(String prefix, String leftString, OWLModel owlModel)`

Methods inherited from class edu.stanford.smi.protegex.owl.ui.code.OWLResourceNameMatcher
`addMatchingRDFIndividuals, addMatchingRDFProperties, addMatchingRDFSNamedClasses, getMatchingDatatypeNames, isFilteredOutResource, isIdChar, isVisible, removeFilteredElements`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SWRLResourceNameMatcher

    public SWRLResourceNameMatcher()

Method Detail

### getInsertString

    public String getInsertString(RDFResource resource)

  Specified by:
    `getInsertString` in interface `ResourceNameMatcher`
  Overrides:
    `getInsertString` in class `OWLResourceNameMatcher`

### getMatchingResources

    public Set<RDFResource> getMatchingResources(String prefix,
                                                 String leftString,
                                                 OWLModel owlModel)

  Specified by:
    `getMatchingResources` in interface `ResourceNameMatcher`
  Overrides:
    `getMatchingResources` in class `OWLResourceNameMatcher`

### couldBeClass

    protected boolean couldBeClass(OWLModel owlModel,
                                   String prefix)

  Overrides:
    `couldBeClass` in class `OWLResourceNameMatcher`

### couldBeProperty

    protected boolean couldBeProperty(OWLModel owlModel,
                                      String prefix)

  Overrides:
    `couldBeProperty` in class `OWLResourceNameMatcher`

### couldBeIndividual

    protected boolean couldBeIndividual(OWLModel owlModel,
                                        String prefix)

  Overrides:
    `couldBeIndividual` in class `OWLResourceNameMatcher`

### couldBeDatatype

    protected boolean couldBeDatatype(OWLModel owlModel,
                                      String prefix)

  Overrides:
    `couldBeDatatype` in class `OWLResourceNameMatcher`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.